## intel-gmmlib 18.4.1+ds1

=== Source/GmmLib/CMakeLists.txt ===

# Copyright(c) 2017 Intel Corporation

# Permission is hereby granted, free of charge, to any person obtaining a
# copy of this software and associated documentation files(the "Software"),
# to deal in the Software without restriction, including without limitation
# the rights to use, copy, modify, merge, publish, distribute, sublicense,
# and / or sell copies of the Software, and to permit persons to whom the
# Software is furnished to do so, subject to the following conditions:

# The above copyright notice and this permission notice shall be included
# in all copies or substantial portions of the Software.

# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
# OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
# THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR
# OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
# ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
# OTHER DEALINGS IN THE SOFTWARE.


cmake_minimum_required(VERSION 3.5)
project(igfx_gmmumd)

# GmmLib Api Version used for so naming
set(GMMLIB_API_MAJOR_VERSION 5)
set(GMMLIB_API_MINOR_VERSION 0)

if(NOT DEFINED MAJOR_VERSION)
	set(MAJOR_VERSION 5)
endif()

if(NOT DEFINED MINOR_VERSION)
	set(MINOR_VERSION 0)
endif()

if(NOT DEFINED PATCH_VERSION)
	set(PATCH_VERSION 0)
endif()

if(NOT DEFINED BS_USE_OSDM_BUILD_SYSTEM)
    if(DEFINED ENV{BS_USE_OSDM_BUILD_SYSTEM})
        set(BS_USE_OSDM_BUILD_SYSTEM "$ENV{BS_USE_OSDM_BUILD_SYSTEM}")
    else()
        set(BS_USE_OSDM_BUILD_SYSTEM FALSE)
    endif()
endif()

# begin -- label bldsys file prologue
# WARNING: The "project" statement triggers reading of CMAKE_TOOLCHAIN_FILE
#   and so must precede the inclusion below of bs_init.cmake .
function(bs_find_build_system gfx_dev_dir build_sys_dir build_sys_inc)
    # If we are not building as a standalone project
    if(DEFINED GFX_DEVELOPMENT_DIR)
        set(_bs_gfx_development_dir "${GFX_DEVELOPMENT_DIR}")
    elseif(DEFINED ENV{GFX_DEVELOPMENT_DIR})
        set(_bs_gfx_development_dir "$ENV{GFX_DEVELOPMENT_DIR}")
    else()
        get_filename_component(_bs_cur_cmake_dir "${CMAKE_CURRENT_LIST_FILE}" PATH)
        get_filename_component(_bs_parent_dir "${_bs_cur_cmake_dir}" DIRECTORY)
        set(_bs_gfx_dir_found false)
        while(NOT _bs_gfx_dir_found)
            set(_bs_bldsys_dir "${_bs_parent_dir}/Tools/bldsys")
            if(EXISTS ${_bs_bldsys_dir})
                set(_bs_gfx_development_dir ${_bs_parent_dir})
                set(_bs_gfx_dir_found true)
                break()
            endif()
            get_filename_component(_bs_parent_dir "${_bs_parent_dir}" DIRECTORY)
            if(${_bs_parent_dir} STREQUAL "/")
                break()
            endif()
        endwhile(NOT _bs_gfx_dir_found)
        if (NOT _bs_gfx_development_dir)
            message(FATAL_ERROR "GFX_DEVELOPMENT_DIR not found (${_bs_gfx_development_dir}) - exiting!")
            exit(1)
        endif()
    endif()
    set(${gfx_dev_dir} "${_bs_gfx_development_dir}" PARENT_SCOPE)
    set(${build_sys_dir} "${_bs_gfx_development_dir}/Tools/bldsys" PARENT_SCOPE)
    set(${build_sys_inc} "${_bs_gfx_development_dir}/Tools/bldsys/include" PARENT_SCOPE)
endfunction(bs_find_build_system)

bs_find_build_system(GFX_DEVELOPMENT_DIR BUILD_SYS_DIR BUILD_SYS_INC)

include(${BUILD_SYS_DIR}/bs_init.cmake)
include(${BUILD_SYS_INC}/bs_dir_names.cmake)
# file prologue done


set(CMAKE_DISABLE_SOURCE_CHANGES ON)
set(CMAKE_DISABLE_IN_SOURCE_BUILD ON)

set (TARGET_LIST
        igfxgmmumd
	gmm_umd
	igfx_gmmumd_excite
	#igfx_gmmumd_ocl
	)

################################################################################
# Define GMM_DLL Target
################################################################################
set (GMM_LIB_DLL_NAME igfx_gmmumd_dll)

macro(GmmLibSetTargetConfig libTarget)
	if (TARGET ${libTarget})
			set_property(TARGET ${libTarget} APPEND PROPERTY COMPILE_DEFINITIONS
				$<$<CONFIG:Release>: _RELEASE>
				$<$<CONFIG:ReleaseInternal>: _RELEASE_INTERNAL>
				$<$<CONFIG:Debug>: _DEBUG>
			)
		endif()

endmacro()

if(CMAKE_CONFIGURATION_TYPES)
  set( CMAKE_CONFIGURATION_TYPES
      "Debug"
      "Release"
      "ReleaseInternal")

  set( CMAKE_CONFIGURATION_TYPES "${CMAKE_CONFIGURATION_TYPES}" CACHE STRING
       "Reset the configurations to what we need"
       FORCE)
endif()

set(GMMLIB_SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR})
if(CMAKE_SIZEOF_VOID_P EQUAL 8)
    set (GMMLIB_ARCH "64")
else()
    set (GMMLIB_ARCH "32")
endif()

if ("${BUILD_TYPE}" STREQUAL "release")
    set(CMAKE_BUILD_TYPE "Release")
elseif ("${BUILD_TYPE}" STREQUAL "release-internal")
    set(CMAKE_BUILD_TYPE "ReleaseInternal")
elseif ("${BUILD_TYPE}" STREQUAL "debug")
    set(CMAKE_BUILD_TYPE "Debug")
endif()

if("${GMMLIB_MARCH}" STREQUAL "")
    set(GMMLIB_MARCH "corei7")
endif()

MESSAGE("platform: ${CMAKE_HOST_SYSTEM_NAME}")
MESSAGE("source_dir: ${BS_DIR_GMMLIB}")
MESSAGE("arch: ${GMMLIB_ARCH}")
MESSAGE("build type: ${CMAKE_BUILD_TYPE}")
MESSAGE("SourceConfiguration:")
MESSAGE("CommonDir: ${BS_DIR_COMMON}")
MESSAGE("IncDir: ${BS_DIR_INC}")

# If '-DGMM_DYNAMIC_MOCS_TABLE=TRUE' (default is FALSE) passed to cmake
# configure command gmmlib will generate MOCS table dynamically depending on
# usage requests (Gen9+). In this case on Linux user responsibility is to
# make sure that generated MOCS table is programmed on KMD level.
if (GMM_DYNAMIC_MOCS_TABLE)
    MESSAGE("MOCS table: dynamic")
    add_definitions(-DGMM_DYNAMIC_MOCS_TABLE)
else()
    MESSAGE("MOCS table: static")
endif()

if(DEFINED UFO_DRIVER_OPTIMIZATION_LEVEL)
    if(${UFO_DRIVER_OPTIMIZATION_LEVEL} GREATER 0)
        add_definitions(-DGMM_GFX_GEN=${GFXGEN})
    endif()
endif()

set(HEADERS_
	${BS_DIR_GMMLIB}/CachePolicy/GmmCachePolicyConditionals.h
	${BS_DIR_GMMLIB}/CachePolicy/GmmCachePolicyResourceUsageDefinitions.h
	${BS_DIR_GMMLIB}/CachePolicy/GmmCachePolicyUndefineConditionals.h
	${BS_DIR_GMMLIB}/CachePolicy/GmmGen10CachePolicy.h
	${BS_DIR_GMMLIB}/CachePolicy/GmmGen11CachePolicy.h
	${BS_DIR_GMMLIB}/CachePolicy/GmmGen8CachePolicy.h
	${BS_DIR_GMMLIB}/CachePolicy/GmmGen9CachePolicy.h
	${BS_DIR_GMMLIB}/inc/External/Common/CachePolicy/GmmCachePolicyGen10.h
	${BS_DIR_GMMLIB}/inc/External/Common/CachePolicy/GmmCachePolicyGen11.h
	${BS_DIR_GMMLIB}/inc/External/Common/CachePolicy/GmmCachePolicyGen8.h
	${BS_DIR_GMMLIB}/inc/External/Common/CachePolicy/GmmCachePolicyGen9.h
	${BS_DIR_GMMLIB}/inc/External/Common/GmmCachePolicy.h
	${BS_DIR_GMMLIB}/inc/External/Common/GmmCachePolicyCommon.h
	${BS_DIR_GMMLIB}/inc/External/Common/GmmCachePolicyExt.h
	${BS_DIR_GMMLIB}/inc/External/Common/GmmCommonExt.h
	${BS_DIR_GMMLIB}/inc/External/Common/GmmConst.h
	${BS_DIR_GMMLIB}/inc/External/Common/GmmDebug.h
	${BS_DIR_GMMLIB}/inc/External/Common/GmmFormatTable.h
	${BS_DIR_GMMLIB}/inc/External/Common/GmmGttExt.h
	${BS_DIR_GMMLIB}/inc/External/Common/GmmInfo.h
	${BS_DIR_GMMLIB}/inc/External/Common/GmmInfoExt.h
	${BS_DIR_GMMLIB}/inc/External/Common/GmmInternal.h
	${BS_DIR_GMMLIB}/inc/External/Common/GmmMemAllocator.hpp

	${BS_DIR_GMMLIB}/inc/External/Common/GmmPlatformExt.h
	${BS_DIR_GMMLIB}/inc/External/Common/GmmProto.h
	${BS_DIR_GMMLIB}/inc/External/Common/GmmResourceFlags.h
	${BS_DIR_GMMLIB}/inc/External/Common/GmmResourceInfo.h
	${BS_DIR_GMMLIB}/inc/External/Common/GmmResourceInfoCommon.h
	${BS_DIR_GMMLIB}/inc/External/Common/GmmResourceInfoExt.h
	${BS_DIR_GMMLIB}/inc/External/Common/GmmTextureExt.h
	${BS_DIR_GMMLIB}/inc/External/Common/GmmUtil.h
	${BS_DIR_GMMLIB}/inc/External/Linux/GmmResourceInfoLin.h
	${BS_DIR_GMMLIB}/inc/Internal/Common/Platform/GmmGen10Platform.h
	${BS_DIR_GMMLIB}/inc/Internal/Common/Platform/GmmGen11Platform.h
	${BS_DIR_GMMLIB}/inc/Internal/Common/Platform/GmmGen8Platform.h
	${BS_DIR_GMMLIB}/inc/Internal/Common/Platform/GmmGen9Platform.h
	${BS_DIR_GMMLIB}/inc/Internal/Common/Texture/GmmGen10TextureCalc.h
	${BS_DIR_GMMLIB}/inc/Internal/Common/Texture/GmmGen11TextureCalc.h
	${BS_DIR_GMMLIB}/inc/Internal/Common/Texture/GmmGen7TextureCalc.h
	${BS_DIR_GMMLIB}/inc/Internal/Common/Texture/GmmGen8TextureCalc.h
	${BS_DIR_GMMLIB}/inc/Internal/Common/Texture/GmmGen9TextureCalc.h
	${BS_DIR_GMMLIB}/inc/Internal/Common/Texture/GmmTextureCalc.h
	${BS_DIR_GMMLIB}/inc/Internal/Common/GmmCommonInt.h
	${BS_DIR_GMMLIB}/inc/Internal/Common/GmmLibInc.h
	${BS_DIR_GMMLIB}/inc/Internal/Common/GmmTextureCalc.h
	${BS_DIR_GMMLIB}/inc/GmmLib.h
	${BS_DIR_GMMLIB}/inc/Internal/Common/GmmLogger.h
)

set(UMD_HEADERS
	${HEADERS_}
	${BS_DIR_GMMLIB}/inc/External/Common/GmmClientContext.h
        ${BS_DIR_GMMLIB}/inc/External/Common/GmmLibDll.h
        ${BS_DIR_GMMLIB}/inc/External/Common/GmmLibDllName.h
	)


set(SOURCES_
  ${BS_DIR_COMMON}/AssertTracer/AssertTracer.cpp
  ${BS_DIR_GMMLIB}/CachePolicy/GmmCachePolicy.cpp
  ${BS_DIR_GMMLIB}/CachePolicy/GmmCachePolicyCommon.cpp
  ${BS_DIR_GMMLIB}/CachePolicy/GmmGen8CachePolicy.cpp
  ${BS_DIR_GMMLIB}/CachePolicy/GmmGen9CachePolicy.cpp
  ${BS_DIR_GMMLIB}/CachePolicy/GmmGen10CachePolicy.cpp
  ${BS_DIR_GMMLIB}/CachePolicy/GmmGen11CachePolicy.cpp
  ${BS_DIR_GMMLIB}/Platform/GmmGen11Platform.cpp
  ${BS_DIR_GMMLIB}/Platform/GmmGen8Platform.cpp
  ${BS_DIR_GMMLIB}/Platform/GmmGen9Platform.cpp
  ${BS_DIR_GMMLIB}/Platform/GmmGen10Platform.cpp
  ${BS_DIR_GMMLIB}/Platform/GmmPlatform.cpp
  ${BS_DIR_GMMLIB}/Resource/GmmResourceInfo.cpp
  ${BS_DIR_GMMLIB}/Resource/GmmResourceInfoCommon.cpp
  ${BS_DIR_GMMLIB}/Resource/GmmResourceInfoCommonEx.cpp
  ${BS_DIR_GMMLIB}/Resource/GmmRestrictions.cpp
  ${BS_DIR_GMMLIB}/Texture/GmmGen7Texture.cpp
  ${BS_DIR_GMMLIB}/Texture/GmmGen8Texture.cpp
  ${BS_DIR_GMMLIB}/Texture/GmmGen9Texture.cpp
  ${BS_DIR_GMMLIB}/Texture/GmmGen10Texture.cpp
  ${BS_DIR_GMMLIB}/Texture/GmmGen11Texture.cpp
  ${BS_DIR_GMMLIB}/Texture/GmmTexture.cpp
  ${BS_DIR_GMMLIB}/Texture/GmmTextureAlloc.cpp
  ${BS_DIR_GMMLIB}/Texture/GmmTextureSpecialCases.cpp
  ${BS_DIR_GMMLIB}/Texture/GmmTextureOffset.cpp
  ${BS_DIR_GMMLIB}/GlobalInfo/GmmInfo.cpp
  ${BS_DIR_GMMLIB}/Utility/CpuSwizzleBlt/CpuSwizzleBlt.c
  ${BS_DIR_GMMLIB}/Utility/GmmLibObject.cpp
  ${BS_DIR_GMMLIB}/Utility/GmmLog/GmmLog.cpp
  ${BS_DIR_GMMLIB}/Utility/GmmUtility.cpp
)

set(UMD_SOURCES
  ${SOURCES_}
  ${BS_DIR_GMMLIB}/GlobalInfo/GmmClientContext.cpp
  ${BS_DIR_GMMLIB}/GlobalInfo/GmmOldApi.cpp
   ${BS_DIR_GMMLIB}/GlobalInfo/GmmLibDllMain.cpp
  )

source_group("Source Files\\Cache Policy\\Client Files" FILES
			${BS_DIR_GMMLIB}/CachePolicy/GmmCachePolicyResourceUsageDefinitions.h
			${BS_DIR_GMMLIB}/CachePolicy/GmmGen10CachePolicy.h
			${BS_DIR_GMMLIB}/CachePolicy/GmmGen11CachePolicy.h
			${BS_DIR_GMMLIB}/CachePolicy/GmmGen8CachePolicy.h
			${BS_DIR_GMMLIB}/CachePolicy/GmmGen9CachePolicy.h
			)

source_group("Source Files\\Cache Policy" ${BS_DIR_GMMLIB}/CachePolicy/*.cpp)
source_group("Source Files\\Global" ${BS_DIR_GMMLIB}/GlobalInfo/.*)
source_group("Source Files\\Platform" ${BS_DIR_GMMLIB}/Platform/.*)
source_group("Source Files\\Texture" ${BS_DIR_GMMLIB}/Texture/.*)
source_group("Source Files\\Utility" ${BS_DIR_GMMLIB}/Utility/.*)

source_group("Source Files\\Resource" FILES
			${BS_DIR_GMMLIB}/Resource/GmmResourceInfo.cpp
			${BS_DIR_GMMLIB}/Resource/GmmResourceInfoCommon.cpp
			${BS_DIR_GMMLIB}/Resource/GmmRestrictions.cpp)

source_group("Header Files\\External\\Common" FILES
			${BS_DIR_GMMLIB}/inc/External/Common/GmmCachePolicy.h
			${BS_DIR_GMMLIB}/inc/External/Common/GmmCachePolicyCommon.h
			${BS_DIR_GMMLIB}/inc/External/Common/GmmCachePolicyExt.h
			${BS_DIR_GMMLIB}/inc/External/Common/GmmCommonExt.h
			${BS_DIR_GMMLIB}/inc/External/Common/GmmConst.h
			${BS_DIR_GMMLIB}/inc/External/Common/GmmDebug.h
			${BS_DIR_GMMLIB}/inc/External/Common/GmmFormatTable.h
			${BS_DIR_GMMLIB}/inc/External/Common/GmmGttExt.h
			${BS_DIR_GMMLIB}/inc/External/Common/GmmInfo.h
			${BS_DIR_GMMLIB}/inc/External/Common/GmmInfoExt.h

=== Source/GmmLib/ULT/CMakeLists.txt ===
# Copyright(c) 2017 Intel Corporation

# Permission is hereby granted, free of charge, to any person obtaining a
# copy of this software and associated documentation files(the "Software"),
# to deal in the Software without restriction, including without limitation
# the rights to use, copy, modify, merge, publish, distribute, sublicense,
# and / or sell copies of the Software, and to permit persons to whom the
# Software is furnished to do so, subject to the following conditions:

# The above copyright notice and this permission notice shall be included
# in all copies or substantial portions of the Software.

# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
# OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
# THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR
# OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
# ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
# OTHER DEALINGS IN THE SOFTWARE.

set (EXE_NAME GMMULT)

set(GMMULT_HEADERS
     GmmCachePolicyULT.h
     GmmCommonULT.h
     GmmGen10CachePolicyULT.h
     GmmGen10ResourceULT.h
     GmmGen11CachePolicyULT.h
     GmmGen9CachePolicyULT.h
     GmmGen9ResourceULT.h
     GmmResourceULT.h
     stdafx.h
     targetver.h
     )

set(GMMULT_SOURCES
    GmmCachePolicyULT.cpp
    GmmCommonULT.cpp
    GmmGen10CachePolicyULT.cpp
    GmmGen10ResourceULT.cpp
    GmmGen11CachePolicyULT.cpp
    GmmGen9CachePolicyULT.cpp
    GmmGen9ResourceULT.cpp
    GmmResourceCpuBltULT.cpp
    GmmResourceULT.cpp
    googletest/src/gtest-all.cc
    GmmULT.cpp
)

source_group("Source Files\\Cache Policy" FILES
            GmmCachePolicyULT.cpp
            GmmGen9CachePolicyULT.cpp
            GmmGen10CachePolicyULT.cpp
            GmmGen11CachePolicyULT.cpp
            )

source_group("Source Files\\Resource" FILES
            GmmGen10ResourceULT.cpp
            GmmGen9ResourceULT.cpp
            GmmResourceCpuBltULT.cpp
            GmmResourceULT.cpp
            )

source_group("Header Files\\Cache Policy" FILES
             GmmCachePolicyULT.h
             GmmGen10CachePolicyULT.h
             GmmGen11CachePolicyULT.h
             GmmGen9CachePolicyULT.h
            )

source_group("Header Files\\Resource" FILES
             GmmGen10ResourceULT.h
             GmmGen9ResourceULT.h
             GmmResourceULT.h
            )

source_group("gtest" FILES
            googletest/gtest/gtest.h
            googletest/src/gtest-all.cc
            )

include_directories(BEFORE ./)

include_directories(BEFORE ${PROJECT_SOURCE_DIR})

include_directories(
    googletest
    googletest/gtest
    ${BS_DIR_INC}/umKmInc
    ${BS_DIR_INC}
    ${BS_DIR_GMMLIB}/inc
    ${BS_DIR_INC}/common
    )

if(MSVC)

    include_directories(
        ${BS_DIR_D3D11}/Imola
    )
endif()

macro(GmmLibULTSetTargetConfig ultTarget)
	if (TARGET ${ultTarget})
			set_property(TARGET ${ultTarget} APPEND PROPERTY COMPILE_DEFINITIONS
				$<$<CONFIG:Release>: _RELEASE>
				$<$<CONFIG:ReleaseInternal>: _RELEASE_INTERNAL>
				$<$<CONFIG:Debug>: _DEBUG>
			)
		endif()

endmacro()

add_executable(${EXE_NAME} ${GMMULT_HEADERS} ${GMMULT_SOURCES})

GmmLibULTSetTargetConfig(${EXE_NAME})


if(MSVC)
    bs_set_wdk(${EXE_NAME})

    set_property(TARGET ${EXE_NAME} APPEND PROPERTY COMPILE_DEFINITIONS __GMM GMM_LIB_DLL GMM_ULT __UMD)

    add_dependencies(${EXE_NAME}
					 igfx_gmmumd_dll
)

    target_link_libraries( ${EXE_NAME}
        advapi32.lib
        dxgi.lib
        gdi32.lib
        opengl32.lib
        user32.lib
    )
else()
    set_property(TARGET ${EXE_NAME} APPEND PROPERTY COMPILE_DEFINITIONS __GMM GMM_EXCITE __UMD)

    target_link_libraries(${EXE_NAME}
        igfx_gmmumd_excite
    )

#	if(NOT TARGET igfx_gmmumd_dll)
#		add_subdirectory("${BS_DIR_GMMLIB}" "${CMAKE_BINARY_DIR}/gmmlib/ult")
#	endif()
#	target_link_libraries(${EXE_NAME} igfx_gmmumd_dll)

    target_link_libraries(${EXE_NAME}
        pthread
		dl
    )
 endif()

add_custom_target(Run_ULT ALL DEPENDS GMMULT)

add_custom_command(
    TARGET Run_ULT
    POST_BUILD
    COMMAND echo running ULTs
    COMMAND ${EXE_NAME}  --gtest_filter=CTest*
)

=== debian/changelog ===
intel-gmmlib (18.4.1+ds1-1) unstable; urgency=medium

  * New upstream release.
  * Upload to unstable.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 16 Dec 2018 23:43:34 +0100

intel-gmmlib (18.4.0+ds1-1) experimental; urgency=medium

  * New upstream release.
  * SONAME bump: libigdgmm1 -> libigdgmm5.
  * debian/patches: Refresh.
  * debian/control:
    - Drop dependency on libspdlog-dev from libigdgmm-dev.
      spdlog is no longer used in the public header files.
    - Remove incorrect Section from libigdgmm5.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 12 Dec 2018 20:44:45 +0100

intel-gmmlib (18.3.0+ds1-2) unstable; urgency=medium

  * debian/control: Remove libspdlog-dev from libigdgmm1's Depends.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 03 Dec 2018 22:42:02 +0100

intel-gmmlib (18.3.0+ds1-1) unstable; urgency=medium

  * Initial release (Closes: #909983)

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 14 Nov 2018 22:57:13 +0100

=== debian/control ===
Source: intel-gmmlib
Section: libs
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Sebastian Ramacher <sramacher@debian.org>,
 Timo Aaltonen <tjaalton@debian.org>
Build-Depends:
 debhelper (>= 11),
 cmake,
 libspdlog-dev
Standards-Version: 4.2.1
Homepage: https://github.com/intel/gmmlib
Vcs-Browser: https://salsa.debian.org/multimedia-team/intel-gmmlib
Vcs-Git: https://salsa.debian.org/multimedia-team/intel-gmmlib.git

Package: libigdgmm5
Architecture: amd64 i386 x32
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Intel Graphics Memory Management Library -- shared library
 The Intel Graphics Memory Management Library provides device specific
 and buffer management for the Intel Graphics Compute Runtime for
 OpenCL and the Intel Media Driver for VAAPI.
 .
 This library is only useful for Broadwell and newer CPUs.
 .
 This package includes the shared library.

Package: libigdgmm-dev
Section: libdevel
Architecture: amd64 i386 x32
Multi-Arch: same
Depends:
 libigdgmm5 (= ${binary:Version}),
 ${misc:Depends}
Description: Intel Graphics Memory Management Library -- development files
 The Intel Graphics Memory Management Library provides device specific
 and buffer management for the Intel Graphics Compute Runtime for
 OpenCL and the Intel Media Driver for VAAPI.
 .
 This library is only useful for Broadwell and newer CPUs.
 .
 This package includes files for development.

## intel-gmmlib 19.2.3+ds1

=== debian/changelog ===
intel-gmmlib (19.2.3+ds1-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/control: Bump Standards-Version.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 07 Jul 2019 18:43:00 +0200

intel-gmmlib (19.2.3+ds1-1) experimental; urgency=medium

  * New upstream release.
  * SONAME bump: libigdgmm5 -> libigdgmm9.
  * debian/patches: Refresh patches.
  * debian/: Bump debhelper compat to 12.
  * debian/control:
    - Bump Standards-Version.
    - Set RRR: no.
  * debian/libigdgmm-dev.install: Remove static library, no longer built
    upstream.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 07 Jul 2019 11:05:49 +0200

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,16 @@
  Sebastian Ramacher <sramacher@debian.org>,
  Timo Aaltonen <tjaalton@debian.org>
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
  cmake,
  libspdlog-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Homepage: https://github.com/intel/gmmlib
 Vcs-Browser: https://salsa.debian.org/multimedia-team/intel-gmmlib
 Vcs-Git: https://salsa.debian.org/multimedia-team/intel-gmmlib.git
+Rules-Requires-Root: no
 
-Package: libigdgmm5
+Package: libigdgmm9
 Architecture: amd64 i386 x32
 Multi-Arch: same
 Depends:
@@ -34,7 +35,7 @@
 Architecture: amd64 i386 x32
 Multi-Arch: same
 Depends:
- libigdgmm5 (= ${binary:Version}),
+ libigdgmm9 (= ${binary:Version}),
  ${misc:Depends}
 Description: Intel Graphics Memory Management Library -- development files
  The Intel Graphics Memory Management Library provides device specific

## intel-gmmlib 19.3.2+ds1

=== debian/changelog ===
intel-gmmlib (19.3.2+ds1-0ubuntu2) eoan; urgency=medium

  * rules: Don't run tests on i386, which fail currently on it.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 10 Oct 2019 13:31:03 +0300

intel-gmmlib (19.3.2+ds1-0ubuntu1) eoan; urgency=medium

  * Upload to eoan.

 -- Timo Aaltonen <tjaalton@debian.org>  Sat, 05 Oct 2019 23:29:46 +0300

intel-gmmlib (19.3.2+ds1-1) experimental; urgency=medium

  * New upstream release.
  * SONAME bump: libigdgmm9 -> libigdgmm11.
  * debian/copyright: Update copyright years.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 22 Sep 2019 23:13:14 +0200

intel-gmmlib (19.2.4+ds1-1) unstable; urgency=medium

  * New upstream release.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 04 Sep 2019 19:56:34 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
 Vcs-Git: https://salsa.debian.org/multimedia-team/intel-gmmlib.git
 Rules-Requires-Root: no
 
-Package: libigdgmm9
+Package: libigdgmm11
 Architecture: amd64 i386 x32
 Multi-Arch: same
 Depends:
@@ -35,7 +35,7 @@
 Architecture: amd64 i386 x32
 Multi-Arch: same
 Depends:
- libigdgmm9 (= ${binary:Version}),
+ libigdgmm11 (= ${binary:Version}),
  ${misc:Depends}
 Description: Intel Graphics Memory Management Library -- development files
  The Intel Graphics Memory Management Library provides device specific

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

overrid_dh_missing:
	dh_missing --fail-missing

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	# Requires Broadwell or newer, so check for SSE 4.2 support at least.
	if grep -q sse4_2 /proc/cpuinfo && [ $$DEB_BUILD_ARCH_BITS = "64" ]; then dh_auto_test; fi
endif

## intel-gmmlib 19.4.1+ds1

=== debian/changelog ===
intel-gmmlib (19.4.1+ds1-1~mx19+1) mx; urgency=medium

  * Repackage of upstream source for MX 19.

 -- ”SwampRabbit” <maintainer@mepiscommunity.org>  Tue, 11 Feb 2020 18:02:10 -0500

intel-gmmlib (19.4.1+ds1-1) unstable; urgency=medium

  * New upstream release

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 23 Dec 2019 13:26:15 +0100

intel-gmmlib (19.3.3+ds1-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules: Revert "Do not run tests on i386"

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 01 Nov 2019 09:33:40 +0100

intel-gmmlib (19.3.2+ds1-3) unstable; urgency=medium

  * debian/rules: Do not run tests on i386 until fixed upstream

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 13 Oct 2019 14:59:32 +0200

intel-gmmlib (19.3.2+ds1-2) unstable; urgency=medium

  * Upload to unstable
  * debian/control: Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 13 Oct 2019 14:25:07 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,13 @@
 Source: intel-gmmlib
 Section: libs
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
-Uploaders:
- Sebastian Ramacher <sramacher@debian.org>,
- Timo Aaltonen <tjaalton@debian.org>
+Maintainer: SwampRabbit <maintainer@mepiscommunity.org>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Build-Depends:
  debhelper-compat (= 12),
  cmake,
  libspdlog-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Homepage: https://github.com/intel/gmmlib
 Vcs-Browser: https://salsa.debian.org/multimedia-team/intel-gmmlib
 Vcs-Git: https://salsa.debian.org/multimedia-team/intel-gmmlib.git

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

overrid_dh_missing:
	dh_missing --fail-missing

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	# Requires Broadwell or newer, so check for SSE 4.2 support at least.
	if grep -q sse4_2 /proc/cpuinfo; then dh_auto_test; fi
endif

override_dh_shlibdeps:
	dh_shlibdeps -- -xvirtualbox-guest-x11 --ignore-missing-info

## intel-gmmlib 20.1.1+ds1

=== Source/GmmLib/CMakeLists.txt ===
--- 
+++ 
@@ -24,20 +24,27 @@
 project(igfx_gmmumd)
 
 # GmmLib Api Version used for so naming
-set(GMMLIB_API_MAJOR_VERSION 5)
-set(GMMLIB_API_MINOR_VERSION 0)
+set(GMMLIB_API_MAJOR_VERSION 11)
+set(GMMLIB_API_MINOR_VERSION 1)
 
 if(NOT DEFINED MAJOR_VERSION)
-	set(MAJOR_VERSION 5)
+	set(MAJOR_VERSION 11)
 endif()
 
 if(NOT DEFINED MINOR_VERSION)
-	set(MINOR_VERSION 0)
+	set(MINOR_VERSION 1)
 endif()
 
 if(NOT DEFINED PATCH_VERSION)
 	set(PATCH_VERSION 0)
 endif()
+
+if(NOT DEFINED GMMLIB_API_PATCH_VERSION)
+    set(GMMLIB_API_PATCH_VERSION ${PATCH_VERSION})
+endif()
+
+message(STATUS "API version: ${GMMLIB_API_MAJOR_VERSION}.${GMMLIB_API_MINOR_VERSION}.${GMMLIB_API_PATCH_VERSION}")
+message(STATUS "Package version: ${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION}")
 
 if(NOT DEFINED BS_USE_OSDM_BUILD_SYSTEM)
     if(DEFINED ENV{BS_USE_OSDM_BUILD_SYSTEM})
@@ -92,13 +99,6 @@
 set(CMAKE_DISABLE_SOURCE_CHANGES ON)
 set(CMAKE_DISABLE_IN_SOURCE_BUILD ON)
 
-set (TARGET_LIST
-        igfxgmmumd
-	gmm_umd
-	igfx_gmmumd_excite
-	#igfx_gmmumd_ocl
-	)
-
 ################################################################################
 # Define GMM_DLL Target
 ################################################################################
@@ -155,13 +155,13 @@
 
 # If '-DGMM_DYNAMIC_MOCS_TABLE=TRUE' (default is FALSE) passed to cmake
 # configure command gmmlib will generate MOCS table dynamically depending on
-# usage requests (Gen9+). In this case on Linux user responsibility is to
+# usage requests (Gen9). In this case on Linux user responsibility is to
 # make sure that generated MOCS table is programmed on KMD level.
 if (GMM_DYNAMIC_MOCS_TABLE)
-    MESSAGE("MOCS table: dynamic")
+    MESSAGE("MOCS table: Dynamic")
     add_definitions(-DGMM_DYNAMIC_MOCS_TABLE)
 else()
-    MESSAGE("MOCS table: static")
+    MESSAGE("MOCS table: Static")
 endif()
 
 if(DEFINED UFO_DRIVER_OPTIMIZATION_LEVEL)
@@ -176,10 +176,12 @@
 	${BS_DIR_GMMLIB}/CachePolicy/GmmCachePolicyUndefineConditionals.h
 	${BS_DIR_GMMLIB}/CachePolicy/GmmGen10CachePolicy.h
 	${BS_DIR_GMMLIB}/CachePolicy/GmmGen11CachePolicy.h
+	${BS_DIR_GMMLIB}/CachePolicy/GmmGen12CachePolicy.h
 	${BS_DIR_GMMLIB}/CachePolicy/GmmGen8CachePolicy.h
 	${BS_DIR_GMMLIB}/CachePolicy/GmmGen9CachePolicy.h
 	${BS_DIR_GMMLIB}/inc/External/Common/CachePolicy/GmmCachePolicyGen10.h
 	${BS_DIR_GMMLIB}/inc/External/Common/CachePolicy/GmmCachePolicyGen11.h
+	${BS_DIR_GMMLIB}/inc/External/Common/CachePolicy/GmmCachePolicyGen12.h
 	${BS_DIR_GMMLIB}/inc/External/Common/CachePolicy/GmmCachePolicyGen8.h
 	${BS_DIR_GMMLIB}/inc/External/Common/CachePolicy/GmmCachePolicyGen9.h
 	${BS_DIR_GMMLIB}/inc/External/Common/GmmCachePolicy.h
@@ -189,7 +191,7 @@
 	${BS_DIR_GMMLIB}/inc/External/Common/GmmConst.h
 	${BS_DIR_GMMLIB}/inc/External/Common/GmmDebug.h
 	${BS_DIR_GMMLIB}/inc/External/Common/GmmFormatTable.h
-	${BS_DIR_GMMLIB}/inc/External/Common/GmmGttExt.h
+	${BS_DIR_GMMLIB}/inc/External/Common/GmmHw.h
 	${BS_DIR_GMMLIB}/inc/External/Common/GmmInfo.h
 	${BS_DIR_GMMLIB}/inc/External/Common/GmmInfoExt.h
 	${BS_DIR_GMMLIB}/inc/External/Common/GmmInternal.h
@@ -204,25 +206,28 @@
 	${BS_DIR_GMMLIB}/inc/External/Common/GmmTextureExt.h
 	${BS_DIR_GMMLIB}/inc/External/Common/GmmUtil.h
 	${BS_DIR_GMMLIB}/inc/External/Linux/GmmResourceInfoLin.h
+        ${BS_DIR_GMMLIB}/inc/External/Linux/GmmResourceInfoLinExt.h
 	${BS_DIR_GMMLIB}/inc/Internal/Common/Platform/GmmGen10Platform.h
 	${BS_DIR_GMMLIB}/inc/Internal/Common/Platform/GmmGen11Platform.h
+	${BS_DIR_GMMLIB}/inc/Internal/Common/Platform/GmmGen12Platform.h
 	${BS_DIR_GMMLIB}/inc/Internal/Common/Platform/GmmGen8Platform.h
 	${BS_DIR_GMMLIB}/inc/Internal/Common/Platform/GmmGen9Platform.h
 	${BS_DIR_GMMLIB}/inc/Internal/Common/Texture/GmmGen10TextureCalc.h
 	${BS_DIR_GMMLIB}/inc/Internal/Common/Texture/GmmGen11TextureCalc.h
+	${BS_DIR_GMMLIB}/inc/Internal/Common/Texture/GmmGen12TextureCalc.h
 	${BS_DIR_GMMLIB}/inc/Internal/Common/Texture/GmmGen7TextureCalc.h
 	${BS_DIR_GMMLIB}/inc/Internal/Common/Texture/GmmGen8TextureCalc.h
 	${BS_DIR_GMMLIB}/inc/Internal/Common/Texture/GmmGen9TextureCalc.h
 	${BS_DIR_GMMLIB}/inc/Internal/Common/Texture/GmmTextureCalc.h
 	${BS_DIR_GMMLIB}/inc/Internal/Common/GmmCommonInt.h
 	${BS_DIR_GMMLIB}/inc/Internal/Common/GmmLibInc.h
-	${BS_DIR_GMMLIB}/inc/Internal/Common/GmmTextureCalc.h
 	${BS_DIR_GMMLIB}/inc/GmmLib.h
 	${BS_DIR_GMMLIB}/inc/Internal/Common/GmmLogger.h
 )
 
 set(UMD_HEADERS
 	${HEADERS_}
+	${BS_DIR_GMMLIB}/inc/External/Common/GmmPageTableMgr.h
 	${BS_DIR_GMMLIB}/inc/External/Common/GmmClientContext.h
         ${BS_DIR_GMMLIB}/inc/External/Common/GmmLibDll.h
         ${BS_DIR_GMMLIB}/inc/External/Common/GmmLibDllName.h
@@ -237,7 +242,9 @@
   ${BS_DIR_GMMLIB}/CachePolicy/GmmGen9CachePolicy.cpp
   ${BS_DIR_GMMLIB}/CachePolicy/GmmGen10CachePolicy.cpp
   ${BS_DIR_GMMLIB}/CachePolicy/GmmGen11CachePolicy.cpp
+  ${BS_DIR_GMMLIB}/CachePolicy/GmmGen12CachePolicy.cpp
   ${BS_DIR_GMMLIB}/Platform/GmmGen11Platform.cpp
+  ${BS_DIR_GMMLIB}/Platform/GmmGen12Platform.cpp
   ${BS_DIR_GMMLIB}/Platform/GmmGen8Platform.cpp
   ${BS_DIR_GMMLIB}/Platform/GmmGen9Platform.cpp
   ${BS_DIR_GMMLIB}/Platform/GmmGen10Platform.cpp
@@ -246,11 +253,13 @@
   ${BS_DIR_GMMLIB}/Resource/GmmResourceInfoCommon.cpp
   ${BS_DIR_GMMLIB}/Resource/GmmResourceInfoCommonEx.cpp
   ${BS_DIR_GMMLIB}/Resource/GmmRestrictions.cpp
+  ${BS_DIR_GMMLIB}/Resource/Linux/GmmResourceInfoLinCWrapper.cpp
   ${BS_DIR_GMMLIB}/Texture/GmmGen7Texture.cpp
   ${BS_DIR_GMMLIB}/Texture/GmmGen8Texture.cpp
   ${BS_DIR_GMMLIB}/Texture/GmmGen9Texture.cpp
   ${BS_DIR_GMMLIB}/Texture/GmmGen10Texture.cpp
   ${BS_DIR_GMMLIB}/Texture/GmmGen11Texture.cpp
+  ${BS_DIR_GMMLIB}/Texture/GmmGen12Texture.cpp
   ${BS_DIR_GMMLIB}/Texture/GmmTexture.cpp
   ${BS_DIR_GMMLIB}/Texture/GmmTextureAlloc.cpp
   ${BS_DIR_GMMLIB}/Texture/GmmTextureSpecialCases.cpp
@@ -264,6 +273,9 @@
 
 set(UMD_SOURCES
   ${SOURCES_}
+  ${BS_DIR_GMMLIB}/TranslationTable/GmmAuxTable.cpp
+  ${BS_DIR_GMMLIB}/TranslationTable/GmmPageTableMgr.cpp
+  ${BS_DIR_GMMLIB}/TranslationTable/GmmUmdTranslationTable.cpp
   ${BS_DIR_GMMLIB}/GlobalInfo/GmmClientContext.cpp
   ${BS_DIR_GMMLIB}/GlobalInfo/GmmOldApi.cpp
    ${BS_DIR_GMMLIB}/GlobalInfo/GmmLibDllMain.cpp
@@ -273,29 +285,10 @@
 			${BS_DIR_GMMLIB}/CachePolicy/GmmCachePolicyResourceUsageDefinitions.h
 			${BS_DIR_GMMLIB}/CachePolicy/GmmGen10CachePolicy.h
 			${BS_DIR_GMMLIB}/CachePolicy/GmmGen11CachePolicy.h
+			${BS_DIR_GMMLIB}/CachePolicy/GmmGen12CachePolicy.h
 			${BS_DIR_GMMLIB}/CachePolicy/GmmGen8CachePolicy.h
 			${BS_DIR_GMMLIB}/CachePolicy/GmmGen9CachePolicy.h
 			)
 
 source_group("Source Files\\Cache Policy" ${BS_DIR_GMMLIB}/CachePolicy/*.cpp)
 source_group("Source Files\\Global" ${BS_DIR_GMMLIB}/GlobalInfo/.*)
-source_group("Source Files\\Platform" ${BS_DIR_GMMLIB}/Platform/.*)
-source_group("Source Files\\Texture" ${BS_DIR_GMMLIB}/Texture/.*)
-source_group("Source Files\\Utility" ${BS_DIR_GMMLIB}/Utility/.*)
-
-source_group("Source Files\\Resource" FILES
-			${BS_DIR_GMMLIB}/Resource/GmmResourceInfo.cpp
-			${BS_DIR_GMMLIB}/Resource/GmmResourceInfoCommon.cpp
-			${BS_DIR_GMMLIB}/Resource/GmmRestrictions.cpp)
-
-source_group("Header Files\\External\\Common" FILES
-			${BS_DIR_GMMLIB}/inc/External/Common/GmmCachePolicy.h
-			${BS_DIR_GMMLIB}/inc/External/Common/GmmCachePolicyCommon.h
-			${BS_DIR_GMMLIB}/inc/External/Common/GmmCachePolicyExt.h
-			${BS_DIR_GMMLIB}/inc/External/Common/GmmCommonExt.h
-			${BS_DIR_GMMLIB}/inc/External/Common/GmmConst.h
-			${BS_DIR_GMMLIB}/inc/External/Common/GmmDebug.h
-			${BS_DIR_GMMLIB}/inc/External/Common/GmmFormatTable.h
-			${BS_DIR_GMMLIB}/inc/External/Common/GmmGttExt.h
-			${BS_DIR_GMMLIB}/inc/External/Common/GmmInfo.h
-			${BS_DIR_GMMLIB}/inc/External/Common/GmmInfoExt.h

=== Source/GmmLib/ULT/CMakeLists.txt ===
--- 
+++ 
@@ -26,9 +26,13 @@
      GmmGen10CachePolicyULT.h
      GmmGen10ResourceULT.h
      GmmGen11CachePolicyULT.h
+     GmmGen11ResourceULT.h
+     GmmGen12ResourceULT.h
+     GmmGen12CachePolicyULT.h
      GmmGen9CachePolicyULT.h
      GmmGen9ResourceULT.h
      GmmResourceULT.h
+     GmmAuxTableULT.h
      stdafx.h
      targetver.h
      )
@@ -39,10 +43,14 @@
     GmmGen10CachePolicyULT.cpp
     GmmGen10ResourceULT.cpp
     GmmGen11CachePolicyULT.cpp
+    GmmGen12CachePolicyULT.cpp
+    GmmGen11ResourceULT.cpp
+    GmmGen12ResourceULT.cpp
     GmmGen9CachePolicyULT.cpp
     GmmGen9ResourceULT.cpp
     GmmResourceCpuBltULT.cpp
     GmmResourceULT.cpp
+    GmmAuxTableULT.cpp
     googletest/src/gtest-all.cc
     GmmULT.cpp
 )
@@ -52,24 +60,39 @@
             GmmGen9CachePolicyULT.cpp
             GmmGen10CachePolicyULT.cpp
             GmmGen11CachePolicyULT.cpp
+            GmmGen12CachePolicyULT.cpp
             )
 
 source_group("Source Files\\Resource" FILES
             GmmGen10ResourceULT.cpp
+            GmmGen11ResourceULT.cpp
+            GmmGen12ResourceULT.cpp
+
             GmmGen9ResourceULT.cpp
             GmmResourceCpuBltULT.cpp
             GmmResourceULT.cpp
+            )
+
+source_group("Source Files\\TranslationTable" FILES
+            GmmAuxTableULT.cpp
+            )
+
+source_group("Header Files\\TranslationTable" FILES
+            GmmAuxTableULT.h
             )
 
 source_group("Header Files\\Cache Policy" FILES
              GmmCachePolicyULT.h
              GmmGen10CachePolicyULT.h
              GmmGen11CachePolicyULT.h
+             GmmGen12CachePolicyULT.h
              GmmGen9CachePolicyULT.h
             )
 
 source_group("Header Files\\Resource" FILES
              GmmGen10ResourceULT.h
+             GmmGen11ResourceULT.h
+             GmmGen12ResourceULT.h
              GmmGen9ResourceULT.h
              GmmResourceULT.h
             )
@@ -92,13 +115,6 @@
     ${BS_DIR_INC}/common
     )
 
-if(MSVC)
-
-    include_directories(
-        ${BS_DIR_D3D11}/Imola
-    )
-endif()
-
 macro(GmmLibULTSetTargetConfig ultTarget)
 	if (TARGET ${ultTarget})
 			set_property(TARGET ${ultTarget} APPEND PROPERTY COMPILE_DEFINITIONS
@@ -114,40 +130,17 @@
 
 GmmLibULTSetTargetConfig(${EXE_NAME})
 
+set_property(TARGET ${EXE_NAME} APPEND PROPERTY COMPILE_DEFINITIONS __GMM GMM_LIB_DLL __UMD)
 
-if(MSVC)
-    bs_set_wdk(${EXE_NAME})
+if(NOT TARGET igfx_gmmumd_dll)
+    add_subdirectory("${BS_DIR_GMMLIB}" "${CMAKE_BINARY_DIR}/gmmlib/ult")
+endif()
+target_link_libraries(${EXE_NAME} igfx_gmmumd_dll)
 
-    set_property(TARGET ${EXE_NAME} APPEND PROPERTY COMPILE_DEFINITIONS __GMM GMM_LIB_DLL GMM_ULT __UMD)
-
-    add_dependencies(${EXE_NAME}
-					 igfx_gmmumd_dll
+target_link_libraries(${EXE_NAME}
+    pthread
+    dl
 )
-
-    target_link_libraries( ${EXE_NAME}
-        advapi32.lib
-        dxgi.lib
-        gdi32.lib
-        opengl32.lib
-        user32.lib
-    )
-else()
-    set_property(TARGET ${EXE_NAME} APPEND PROPERTY COMPILE_DEFINITIONS __GMM GMM_EXCITE __UMD)
-
-    target_link_libraries(${EXE_NAME}
-        igfx_gmmumd_excite
-    )
-
-#	if(NOT TARGET igfx_gmmumd_dll)
-#		add_subdirectory("${BS_DIR_GMMLIB}" "${CMAKE_BINARY_DIR}/gmmlib/ult")
-#	endif()
-#	target_link_libraries(${EXE_NAME} igfx_gmmumd_dll)
-
-    target_link_libraries(${EXE_NAME}
-        pthread
-		dl
-    )
- endif()
 
 add_custom_target(Run_ULT ALL DEPENDS GMMULT)
 
@@ -155,6 +148,5 @@
     TARGET Run_ULT
     POST_BUILD
     COMMAND echo running ULTs
-    COMMAND ${EXE_NAME}  --gtest_filter=CTest*
+    COMMAND "${CMAKE_COMMAND}" -E env "LD_LIBRARY_PATH=$<TARGET_FILE_DIR:igfx_gmmumd_dll>" ${CMAKE_CFG_INTDIR}/${EXE_NAME} --gtest_filter=CTest*
 )
-

=== debian/changelog ===
intel-gmmlib (20.1.1+ds1-1) unstable; urgency=medium

  * New upstream release
  * debian/control: Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 06 Apr 2020 10:04:38 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: intel-gmmlib
 Section: libs
 Priority: optional
-Maintainer: SwampRabbit <maintainer@mepiscommunity.org>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Uploaders:
+ Sebastian Ramacher <sramacher@debian.org>,
+ Timo Aaltonen <tjaalton@debian.org>
 Build-Depends:
  debhelper-compat (= 12),
  cmake,
  libspdlog-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/intel/gmmlib
 Vcs-Browser: https://salsa.debian.org/multimedia-team/intel-gmmlib
 Vcs-Git: https://salsa.debian.org/multimedia-team/intel-gmmlib.git

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,3 @@
 	# Requires Broadwell or newer, so check for SSE 4.2 support at least.
 	if grep -q sse4_2 /proc/cpuinfo; then dh_auto_test; fi
 endif
-
-override_dh_shlibdeps:
-	dh_shlibdeps -- -xvirtualbox-guest-x11 --ignore-missing-info

## intel-gmmlib 20.2.2+ds1

=== Source/GmmLib/CMakeLists.txt ===
--- 
+++ 
@@ -177,11 +177,13 @@
 	${BS_DIR_GMMLIB}/CachePolicy/GmmGen10CachePolicy.h
 	${BS_DIR_GMMLIB}/CachePolicy/GmmGen11CachePolicy.h
 	${BS_DIR_GMMLIB}/CachePolicy/GmmGen12CachePolicy.h
+        ${BS_DIR_GMMLIB}/CachePolicy/GmmGen12dGPUCachePolicy.h
 	${BS_DIR_GMMLIB}/CachePolicy/GmmGen8CachePolicy.h
 	${BS_DIR_GMMLIB}/CachePolicy/GmmGen9CachePolicy.h
 	${BS_DIR_GMMLIB}/inc/External/Common/CachePolicy/GmmCachePolicyGen10.h
 	${BS_DIR_GMMLIB}/inc/External/Common/CachePolicy/GmmCachePolicyGen11.h
 	${BS_DIR_GMMLIB}/inc/External/Common/CachePolicy/GmmCachePolicyGen12.h
+        ${BS_DIR_GMMLIB}/inc/External/Common/CachePolicy/GmmCachePolicyGen12dGPU.h
 	${BS_DIR_GMMLIB}/inc/External/Common/CachePolicy/GmmCachePolicyGen8.h
 	${BS_DIR_GMMLIB}/inc/External/Common/CachePolicy/GmmCachePolicyGen9.h
 	${BS_DIR_GMMLIB}/inc/External/Common/GmmCachePolicy.h
@@ -243,6 +245,7 @@
   ${BS_DIR_GMMLIB}/CachePolicy/GmmGen10CachePolicy.cpp
   ${BS_DIR_GMMLIB}/CachePolicy/GmmGen11CachePolicy.cpp
   ${BS_DIR_GMMLIB}/CachePolicy/GmmGen12CachePolicy.cpp
+  ${BS_DIR_GMMLIB}/CachePolicy/GmmGen12dGPUCachePolicy.cpp
   ${BS_DIR_GMMLIB}/Platform/GmmGen11Platform.cpp
   ${BS_DIR_GMMLIB}/Platform/GmmGen12Platform.cpp
   ${BS_DIR_GMMLIB}/Platform/GmmGen8Platform.cpp
@@ -286,9 +289,4 @@
 			${BS_DIR_GMMLIB}/CachePolicy/GmmGen10CachePolicy.h
 			${BS_DIR_GMMLIB}/CachePolicy/GmmGen11CachePolicy.h
 			${BS_DIR_GMMLIB}/CachePolicy/GmmGen12CachePolicy.h
-			${BS_DIR_GMMLIB}/CachePolicy/GmmGen8CachePolicy.h
-			${BS_DIR_GMMLIB}/CachePolicy/GmmGen9CachePolicy.h
-			)
-
-source_group("Source Files\\Cache Policy" ${BS_DIR_GMMLIB}/CachePolicy/*.cpp)
-source_group("Source Files\\Global" ${BS_DIR_GMMLIB}/GlobalInfo/.*)
+                        ${BS_DIR_GMMLIB}/CachePolicy/GmmGen12dGPUCachePolicy.h

=== debian/changelog ===
intel-gmmlib (20.2.2+ds1-1~mx19ahs+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19 AHS.

 -- ”SwampRabbit” <swamprabbit@mxlinux.org>  Sun, 26 Jul 2020 17:48:24 -0400

intel-gmmlib (20.2.2+ds1-1) unstable; urgency=medium

  * New upstream release
  * debian/control: Bump debhelper compat to 13
  * debian/copyright: Bump copyright years

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 29 Jun 2020 09:33:45 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: intel-gmmlib
 Section: libs
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Sebastian Ramacher <sramacher@debian.org>,
  Timo Aaltonen <tjaalton@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  cmake,
  libspdlog-dev
 Standards-Version: 4.5.0

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,9 @@
 
 %:
 	dh $@
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
 
 overrid_dh_missing:
 	dh_missing --fail-missing

## intel-gmmlib 20.2.4+ds1

=== debian/changelog ===
intel-gmmlib (20.2.4+ds1-1~mx19ahs+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19 AHS.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Wed, 16 Sep 2020 22:53:42 -0400

intel-gmmlib (20.2.4+ds1-1) unstable; urgency=medium

  * New upstream version release

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 23 Aug 2020 10:47:02 +0200

## intel-gmmlib 20.3.2+ds1

=== debian/changelog ===
intel-gmmlib (20.3.2+ds1-1) unstable; urgency=medium

  * New upstream release

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 18 Sep 2020 10:32:41 +0200

## intel-gmmlib 20.4.1+ds1

=== Source/GmmLib/CMakeLists.txt ===
--- 
+++ 
@@ -25,14 +25,14 @@
 
 # GmmLib Api Version used for so naming
 set(GMMLIB_API_MAJOR_VERSION 11)
-set(GMMLIB_API_MINOR_VERSION 1)
+set(GMMLIB_API_MINOR_VERSION 2)
 
 if(NOT DEFINED MAJOR_VERSION)
 	set(MAJOR_VERSION 11)
 endif()
 
 if(NOT DEFINED MINOR_VERSION)
-	set(MINOR_VERSION 1)
+	set(MINOR_VERSION 2)
 endif()
 
 if(NOT DEFINED PATCH_VERSION)

=== Source/GmmLib/ULT/CMakeLists.txt ===
--- 
+++ 
@@ -28,7 +28,9 @@
      GmmGen11CachePolicyULT.h
      GmmGen11ResourceULT.h
      GmmGen12ResourceULT.h
+     GmmGen12dGPUResourceULT.h
      GmmGen12CachePolicyULT.h
+     GmmGen12dGPUCachePolicyULT.h
      GmmGen9CachePolicyULT.h
      GmmGen9ResourceULT.h
      GmmResourceULT.h
@@ -44,8 +46,10 @@
     GmmGen10ResourceULT.cpp
     GmmGen11CachePolicyULT.cpp
     GmmGen12CachePolicyULT.cpp
+    GmmGen12dGPUCachePolicyULT.cpp
     GmmGen11ResourceULT.cpp
     GmmGen12ResourceULT.cpp
+    GmmGen12dGPUResourceULT.cpp
     GmmGen9CachePolicyULT.cpp
     GmmGen9ResourceULT.cpp
     GmmResourceCpuBltULT.cpp
@@ -61,13 +65,14 @@
             GmmGen10CachePolicyULT.cpp
             GmmGen11CachePolicyULT.cpp
             GmmGen12CachePolicyULT.cpp
+            GmmGen12dGPUCachePolicyULT.cpp
             )
 
 source_group("Source Files\\Resource" FILES
             GmmGen10ResourceULT.cpp
             GmmGen11ResourceULT.cpp
             GmmGen12ResourceULT.cpp
-
+            GmmGen12dGPUResourceULT.cpp
             GmmGen9ResourceULT.cpp
             GmmResourceCpuBltULT.cpp
             GmmResourceULT.cpp
@@ -86,6 +91,7 @@
              GmmGen10CachePolicyULT.h
              GmmGen11CachePolicyULT.h
              GmmGen12CachePolicyULT.h
+             GmmGen12dGPUCachePolicyULT.h
              GmmGen9CachePolicyULT.h
             )
 
@@ -93,6 +99,7 @@
              GmmGen10ResourceULT.h
              GmmGen11ResourceULT.h
              GmmGen12ResourceULT.h
+             GmmGen12dGPUResourceULT.h
              GmmGen9ResourceULT.h
              GmmResourceULT.h
             )

=== debian/changelog ===
intel-gmmlib (20.4.1+ds1-1) unstable; urgency=medium

  * New upstream release

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 02 Jan 2021 12:42:08 +0100

intel-gmmlib (20.3.3+ds1-1) unstable; urgency=medium

  * New upstream release

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 15 Nov 2020 12:42:19 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: intel-gmmlib
 Section: libs
 Priority: optional
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Sebastian Ramacher <sramacher@debian.org>,
  Timo Aaltonen <tjaalton@debian.org>

## intel-gmmlib 21.2.2+ds1

=== debian/changelog ===
intel-gmmlib (21.2.2+ds1-1~mx21ahs+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21 AHS.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Sun, 12 Sep 2021 01:16:53 -0400

intel-gmmlib (21.2.2+ds1-1) unstable; urgency=medium

  * New upstream release

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 31 Aug 2021 19:00:20 +0200

intel-gmmlib (21.2.1+ds1-2) unstable; urgency=medium

  * Upload to unstable

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 08 Aug 2021 11:46:09 +0200

intel-gmmlib (21.2.1+ds1-1) experimental; urgency=medium

  * New upstream release

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 04 Aug 2021 22:44:39 +0200

intel-gmmlib (21.1.1+ds1-1) experimental; urgency=medium

  * New upstream release
  * debian/control: Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 05 Apr 2021 13:15:19 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: intel-gmmlib
 Section: libs
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Sebastian Ramacher <sramacher@debian.org>,
  Timo Aaltonen <tjaalton@debian.org>
@@ -9,7 +10,7 @@
  debhelper-compat (= 13),
  cmake,
  libspdlog-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/intel/gmmlib
 Vcs-Browser: https://salsa.debian.org/multimedia-team/intel-gmmlib
 Vcs-Git: https://salsa.debian.org/multimedia-team/intel-gmmlib.git

## intel-gmmlib 21.3.1+ds1

=== Source/GmmLib/CMakeLists.txt ===
--- 
+++ 
@@ -25,14 +25,14 @@
 
 # GmmLib Api Version used for so naming
 set(GMMLIB_API_MAJOR_VERSION 11)
-set(GMMLIB_API_MINOR_VERSION 2)
+set(GMMLIB_API_MINOR_VERSION 3)
 
 if(NOT DEFINED MAJOR_VERSION)
 	set(MAJOR_VERSION 11)
 endif()
 
 if(NOT DEFINED MINOR_VERSION)
-	set(MINOR_VERSION 2)
+	set(MINOR_VERSION 3)
 endif()
 
 if(NOT DEFINED PATCH_VERSION)

=== debian/changelog ===
intel-gmmlib (21.3.1+ds1-1~mx21ahs+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21 AHS.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Thu, 07 Oct 2021 13:05:49 -0400

intel-gmmlib (21.3.1+ds1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

  [ Sebastian Ramacher ]
  * New upstream release
  * debian/control: Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 24 Sep 2021 00:09:25 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  debhelper-compat (= 13),
  cmake,
  libspdlog-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/intel/gmmlib
 Vcs-Browser: https://salsa.debian.org/multimedia-team/intel-gmmlib
 Vcs-Git: https://salsa.debian.org/multimedia-team/intel-gmmlib.git

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	# Requires Broadwell or newer, so check for SSE 4.2 support at least.
	if grep -q sse4_2 /proc/cpuinfo; then dh_auto_test; fi
endif

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## intel-gmmlib 21.3.2+ds1

=== debian/changelog ===
intel-gmmlib (21.3.2+ds1-1~mx21ahs+1) mx; urgency=medium

  * Initial build from upstream release for MX-21 AHS.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Fri, 12 Nov 2021 11:04:25 -0500

intel-gmmlib (21.3.2+ds1-1) unstable; urgency=medium

  * New upstream version 21.3.2+ds1

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 29 Oct 2021 15:30:18 +0200
